<application>

  <name>iCub Eyes controller App</name>

  <dependencies>
      <port>/yarplogger</port>
      <port>/icubSim/head/state:o</port>
      <port>/icubSim/torso/state:o</port>
  </dependencies>

  <module>
      <name>eyesController</name>
      <environment>YARP_FORWARD_LOG_ENABLE=1</environment>
      <node>localhost</node>
  </module>

  <module>
      <name>yarpview</name>
      <parameters>--name /viewer --x 10 --y 10</parameters>
      <node>localhost</node>
  </module>

<!--    <module>
        <name>torsoController</name>
        <node>localhost</node>
        <tag>torsoController</tag>
    </module>
  
  <module>
      <name>yarpview</name>
      <parameters>--name /view_realsense --p 10 --x 380 --y 20 --compact</parameters>
      <node>localhost</node>
  </module>

  <module>
      <name>yarpdatadumper</name>
      <parameters>--name /data/images/left --type image</parameters>
      <node>localhost</node>
  </module>
-->  
  <connection>
      <from>/icubSim/cam/left/rgbImage:o</from>
      <to>/viewer</to>
      <protocol>fast_tcp</protocol>
  </connection>

  <connection>
      <from>/realsense/rgbImage:o</from>
      <to>/view_realsense</to>
      <protocol>fast_tcp</protocol>
  </connection>

<!--    <connection>
      <from>/icubSim/cam/left/rgbImage:o</from>
      <to>/data/images/left</to>
      <protocol>udp</protocol>
  </connection>  -->


</application>
